org.apache.tinkerpop.gremlin.process.computer.util

## Class AbstractVertexProgramBuilder<B extends VertexProgram.Builder>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<B>

- All Implemented Interfaces:
    VertexProgram.Builder
  Direct Known Subclasses:
    CloneVertexProgram.Builder, ConnectedComponentVertexProgram.Builder, PageRankVertexProgram.Builder, PeerPressureVertexProgram.Builder, ShortestPathVertexProgram.Builder, TraversalVertexProgram.Builder

      public abstract class AbstractVertexProgramBuilder<B extends VertexProgram.Builder>
      extends Object
      implements VertexProgram.Builder

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.configuration2.BaseConfiguration` | `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractVertexProgramBuilder(Class<? extends VertexProgram> vertexProgramClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `configure(Object... keyValues)` This method should only be used by the underlying compute engine.
    `<P extends VertexProgram> P` | `create(Graph graph)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.VertexProgram.Builder

      `create`

- - ### Field Detail

    - #### configuration

          protected final org.apache.commons.configuration2.BaseConfiguration configuration

  - ### Constructor Detail

    - #### AbstractVertexProgramBuilder

          public AbstractVertexProgramBuilder(Class<? extends VertexProgram> vertexProgramClass)

  - ### Method Detail

    - #### configure

          public B configure(Object... keyValues)

      This method should only be used by the underlying compute engine. For VertexProgram configurations, please use specific fluent methods off the builder.
      Specified by:
        `configure` in interface `VertexProgram.Builder`

    - #### create

          public <P extends VertexProgram> P create(Graph graph)

      Specified by:
        `create` in interface `VertexProgram.Builder`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.